#include <iostream>
#include <vector>
#include "histogram.h"

using namespace std;

struct Input {
    vector<double> numbers;
    size_t bin_count{};
};

Input
input_data() {
    Input in;

    cerr << "Enter number count: ";
    size_t number_count;
    cin >> number_count;

    in.numbers.resize(number_count);
    for (size_t i = 0; i < number_count; i++) {
        cin >> in.numbers[i];
    }

    cerr << "Enter number bin: ";
    cin >> in.bin_count;

    return in;
}



}



int main()
{
    const size_t SCREEN_WIDTH = 80;
    const size_t MAX_ASTERISK = SCREEN_WIDTH - 3 - 1;

    auto in = input_data();
    auto bins = make_histogram(in.numbers, in.bin_count);

    size_t max_count = bins[0];
    for (size_t i = 0; i < bins.size(); i++) {
        if (bins[i] > max_count) {
            max_count = bins[i];
        }
    }
    show_histogram_text(bins, max_count, MAX_ASTERISK, in.bin_count);

    return 0;
}
